class AdminConfigConstants:
    list_per_page = 25


class GeneralConstants:
    ALLOWED_PASSCODE_ATTEMPTS = 5
    FAILED_ATTEMPT_LIMIT = 20
    USER_BAN_TTL = 1 * 60 * 60
    USER_BAN_TTL_LONG = 24 * 60 * 60
    PASSCODE_TTL = 1 * 10 * 60
    FAILED_ATTEMPT_TTL = 12 * 60 * 60
    BAN_HISTORY_TTL = 24 * 60 * 60


class TestTwilioConstants:
    TWILIO_ACCOUNT_SID = 'AC6f37fb6966fb10262674b2e75e2ba8d0'
    TWILIO_AUTH_TOKEN = '385abe3f194c61a01167873e1a56529e'
    TWILIO_LINE_NUMBER = '+447450045773'


class StageTwilioConstants:
    TWILIO_ACCOUNT_SID = 'AC6f37fb6966fb10262674b2e75e2ba8d0'
    TWILIO_AUTH_TOKEN = '385abe3f194c61a01167873e1a56529e'
    TWILIO_LINE_NUMBER = '+447450045773'


class LiveTwilioConstants:
    TWILIO_ACCOUNT_SID = 'AC6f37fb6966fb10262674b2e75e2ba8d0'
    TWILIO_AUTH_TOKEN = '385abe3f194c61a01167873e1a56529e'
    TWILIO_LINE_NUMBER = '+447450045773'


class OtherConstants:
    DEFAULT_STRFTIME = '%Y-%m-%d %H:%M:%S'
    DEFAULT_PASSWORD = '12345678'
